Summary:	Library of Python code used by some programs made by Red Hat
Summary(pl.UTF-8):	Biblioteka kodu Pythona używana przez niektóre programy Red Hata
Name:		python-rhpl
Version:	0.216
Release:	7
License:	GPL
Group:		Libraries
# https://fedorahosted.org/releases/r/h/rhpl/ (not yet)
Source0:	rhpl-%{version}.tar.bz2
# Source0-md5:	5bde6574c92d0b3621dd3ce45b668079
Patch0:		%{name}-enc.patch
BuildRequires:	gettext-tools
BuildRequires:	libiw-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rhpl package contains Python code used by some programs made by
Red Hat.

%description -l pl.UTF-8
Pakiet rhpl zawiera kod Pythona używany w niektórych programach
stworzonych przez Red Hata.

%prep
%setup -q -n rhpl-%{version}
%patch0 -p1

# remove deprecated modules
# moved into python-rhpxl
rm -f src/{xserver,videocard,monitor,mouse,guesslcd,xhwstate}.py
# moved into firstboot
rm -f src/firstboot_gui_window.py

sed -i -e 's#gcc#%{__cc}#g' Makefile */Makefile */*/Makefile

%build
%{__make} \
	PYTHON="%{__python}" \
	PYTHONINCLUDE="%{py_incdir}" \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PYTHON="%{__python}" \
	PYTHONLIBDIR="%{py_sitedir}" \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang rhpl

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rhpl.lang
%defattr(644,root,root,755)
%doc README
%dir %{py_sitedir}/rhpl
%{py_sitedir}/rhpl/*.egg-info
%{py_sitedir}/rhpl/*.py*
%attr(755,root,root) %{py_sitedir}/rhpl/*.so
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-rhpl.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 562eb20
- release 7 (by relup.sh)

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 4e035fc
- release 6 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 8096ec1
- x32 rebuild
- release 5 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 46d750e
- updated gettext BR

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 8d9ec29
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d5af8d2
- release 4

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> ef87fe3
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c67f4c1
- release 2

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 1518325
- will be on fedorahosted

* Wed Aug 27 2008 Patryk Zawadzki <patrys@room-303.com> 3a412f0
- 0.216

* Tue Dec 18 2007 ankry <ankry@pld-linux.org> 9608b8e
- remove not only explanation...

* Tue Dec 18 2007 Patryk Zawadzki <patrys@room-303.com> ecf3513
- 0.212

* Sat Nov 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 53819f5
- sr@Latn -> sr@latin; release 2

* Tue Feb 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 767136f
- up to 0.201

* Tue Feb 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f6704f
- rel 4

* Tue Feb 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 10881f1
- new

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6e8c2f5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1a0a471
- converted to UTF-8

* Tue Jan 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b18d2b9
- rel 3

* Tue Aug 29 2006 Elan Ruusamäe <glen@pld-linux.org> c18e920
- rel 2

